%% 
%% cs abstract page document class
%%
%% It is based on the standard LaTeX report class.
%% 
%% 
%% This file is part of the LaTeX2e system. 
%% ---------------------------------------- 
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{csabstractco}[2007/11/06 CS Dept. Kent State University]
%\newif\ifchap  % true for chap option
%  \chaptrue   % true by default
%\DeclareOption{chap}{\chaptrue} % option to print "Chapter" at each new chapter
\newcommand\docsize{}  % to allow 10pt or 11pt to be specified as option
\DeclareOption{10pt}{\renewcommand\docsize{10pt}}
\DeclareOption{11pt}{\renewcommand\docsize{11pt}}
\DeclareOption{12pt}{\renewcommand\docsize{12pt}}
%  Prepare to load the standard report class (12pt):
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
\ExecuteOptions{12pt}         % define 11pt as the default doc size
\ProcessOptions
\LoadClass[\docsize]{report}  % load report.cls

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PAGE LAYOUT
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SIDE MARGINS:
% Values for one-sided printing:
\oddsidemargin 0.25in    %   Note that \oddsidemargin = \evensidemargin
%\evensidemargin 36pt
%\marginparwidth 0pt

%\marginparsep 0pt          % Horizontal space between outer margin and
                            % marginal note
\textwidth 6.25in            % width of text
 
% VERTICAL SPACING:
                          % Top of page:
%\topmargin -.5in         %    distance from top of page to running head
\headheight 0.25in         %    Height of box containing running head.
\headsep 0.25in            %    Space between running head and text.
\textheight 9.0in        %    space for text
\footskip 0.25in           %    Distance from baseline of box containing foot
                         %    to baseline of last line of text.

\brokenpenalty=10000
% double space the text
\renewcommand{\baselinestretch}{2}

\makeatletter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% variables that must be provided
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\namedegreedate#1{\gdef\@namedegreedate{#1}}
\def\@namedegreedate{}
\def\pages#1{\gdef\@pages{#1}}
\def\@pages{0}
\def\advisor#1{\gdef\@advisor{#1}}
\def\@advisor{}
\def\area#1{\gdef\@area{#1}}
\def\@area{COMPUTER SCIENCE}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abstract Page
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\ifabstractpage
\abstractpagefalse

\def\abstract {
      \abstractpagetrue
      \pagestyle{empty}
      \vspace*{12pt}
\renewcommand{\baselinestretch}{0.956}\small\normalsize
      \noindent
      \@namedegreedate\hfill{\uppercase\expandafter{\@area}} \\
      {\uppercase\expandafter{\@title}}\ (\@pages\ pp.) \hfill 
	\renewcommand{\baselinestretch}{1.765}\small\normalsize\\
       Directors of Dissertation: \ \ \@advisor \hfill \\[12pt]
      \indent
}

\makeatother